CASClientRequestMetrics (apache-cassandra API)
Date: 2018-02-14

org.apache.cassandra.metrics

## Class CASClientRequestMetrics

- java.lang.Object
- - org.apache.cassandra.metrics.LatencyMetrics
  - - org.apache.cassandra.metrics.ClientRequestMetrics
    - - org.apache.cassandra.metrics.CASClientRequestMetrics

-     public class CASClientRequestMetrics
      extends ClientRequestMetrics

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `com.codahale.metrics.Counter` | `conditionNotMet`
    `com.codahale.metrics.Histogram` | `contention`
    `com.codahale.metrics.Counter` | `unfinishedCommit`

    - ### Fields inherited from class org.apache.cassandra.metrics.ClientRequestMetrics

      `failures, timeouts, unavailables`

    - ### Fields inherited from class org.apache.cassandra.metrics.LatencyMetrics

      `aliasFactory, factory, latency, namePrefix, totalLatency`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CASClientRequestMetrics(java.lang.String scope)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `release()`

    - ### Methods inherited from class org.apache.cassandra.metrics.LatencyMetrics

      `addNano`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### contention

          public final com.codahale.metrics.Histogram contention

    - #### conditionNotMet

          public final com.codahale.metrics.Counter conditionNotMet

    - #### unfinishedCommit

          public final com.codahale.metrics.Counter unfinishedCommit

  - ### Constructor Detail

    - #### CASClientRequestMetrics

          public CASClientRequestMetrics(java.lang.String scope)

  - ### Method Detail

    - #### release

          public void release()

      Overrides:
        `release` in class `ClientRequestMetrics`

Copyright © 2018 The Apache Software Foundation